slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetWorkVecs

Sets a number of work vectors into a PEP object.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetWorkVecs(PEP pep,PetscInt nw)

Collective

### Input Parameters

| pep | - polynomial eigensolver context
| nw | - number of work vectors to allocate

### Developer Notes

This is SLEPC_EXTERN because it may be required by user plugin PEP implementations.

### See Also

PEPSetUp()

### Level

developer

### Location

src/pep/interface/pepdefault.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages